{
  "schema_version": "1.4.0",
  "id": "GHSA-3xh2-74w9-5vxm",
  "modified": "2023-02-09T19:37:02Z",
  "published": "2021-05-18T21:08:02Z",
  "aliases": [
    "CVE-2020-27813"
  ],
  "summary": "Integer overflow in github.com/gorilla/websocket",
  "details": "An integer overflow vulnerability exists with the length of websocket frames received via a websocket connection. An attacker would use this flaw to cause a denial of service attack on an HTTP Server allowing websocket connections.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [
    {
      "package": {
        "ecosystem": "Go",
        "name": "github.com/gorilla/websocket"
      },
      "ranges": [
        {
          "type": "ECOSYSTEM",
          "events": [
            {
              "introduced": "0"
            },
            {
              "fixed": "1.4.1"
            }
          ]
        }
      ]
    }
  ],
  "references": [
    {
      "type": "WEB",
      "url": "https://github.com/gorilla/websocket/security/advisories/GHSA-jf24-p9p9-4rjh"
    },
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2020-27813"
    },
    {
      "type": "WEB",
      "url": "https://github.com/gorilla/websocket/pull/537"
    },
    {
      "type": "WEB",
      "url": "https://github.com/gorilla/websocket/commit/5b740c29263eb386f33f265561c8262522f19d37"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1902111"
    },
    {
      "type": "PACKAGE",
      "url": "https://github.com/gorilla/websocket"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2021/01/msg00008.html"
    },
    {
      "type": "WEB",
      "url": "https://pkg.go.dev/vuln/GO-2020-0019"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190",
      "CWE-400"
    ],
    "severity": "HIGH",
    "github_reviewed": true,
    "github_reviewed_at": "2021-05-18T20:56:17Z",
    "nvd_published_at": "2020-12-02T01:15:12Z"
  }
}